List administrators

GET/administrators

Lists the administrators in the current account using cursor-based pagination.

By default, only active administrators are returned. Set deleted to true to list only administrators in the trash. Use q to search by name or email address (case-insensitive partial match) and role to filter by role.

AuthorizationBearer <token>

Autonomous mode: the API credential secret, sent as a bearer token. Credential secrets are identified by a fixed prefix.

In: header

Query Parameters

limit?integer
Range1 <= value <= 200
cursor?string
q?string
role?string
deleted?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/administrators"
{  "data": [    {      "created_at": "2019-08-24T14:15:22Z",      "deleted": true,      "email": "[email protected]",      "id": "string",      "last_login_at": "2019-08-24T14:15:22Z",      "name": "string",      "object": "administrator",      "product_ids": [        "string"      ],      "revision": "string",      "role": "root",      "status": "active",      "two_factor_enabled": true,      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "page": {    "limit": 1,    "next_cursor": "string",    "prev_cursor": "string"  }}